GNU bug report logs - #1343
[PATCH] trace package

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: Vitaly Mayatskikh <v.mayatskih@HIDDEN>; Keywords: patch; merged with #6464, #27397; dated Fri, 14 Nov 2008 00:05:06 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 1343 <at> debbugs.gnu.org:


Received: (at 1343) by debbugs.gnu.org; 21 Oct 2021 20:29:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 21 16:29:09 2021
Received: from localhost ([127.0.0.1]:58704 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mdegX-0000HU-MG
	for submit <at> debbugs.gnu.org; Thu, 21 Oct 2021 16:29:09 -0400
Received: from mail-pf1-f177.google.com ([209.85.210.177]:37561)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>)
 id 1mdegV-0000GQ-1l; Thu, 21 Oct 2021 16:29:07 -0400
Received: by mail-pf1-f177.google.com with SMTP id q19so1691660pfl.4;
 Thu, 21 Oct 2021 13:29:06 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:in-reply-to:references:user-agent
 :mime-version:date:message-id:subject:to:cc;
 bh=bvl05SMFvzVm8C2p/d4pSfQhY7XgWM7h3okfz+lSRws=;
 b=jKUxYI5Odxf2g8sH0zYPxfiPLsUFEkFqfSyfl0CRmyEdiMlPnWYSYUMdWvtGuZSCkT
 DgcM0mXLvNAqHQtjuyda8r//br9oBY98MyTWhO740eJmmS6XdUe1owJDItcz78j4DHoE
 MvKcW9B9+vP+tpWdTBapR+20t+ER4t1AQnHuWzUtYddGRIEdzpuaeDff09iW3PiWeOsm
 //Nari2BtBIOuEwiN6MaLcjIElTCkcQXMox3WpeFifCHtgNjndzhLzl95+1N9P5920ip
 lgpKrksDsf+Y0A2ADgmvp6/d+zRDPW2ToH9dRWW3LXrm4lLBiKIYFNZqJhG8hTb3DMtW
 +DQQ==
X-Gm-Message-State: AOAM531IZDbeff57m6O0xNEVIwlCIcmqY+rw5Zsmy5QW3FkJ/5/RrmdH
 4yNC/LjQ992KAklHJ76W9KY4JI4SJUx8rNd+amk=
X-Google-Smtp-Source: ABdhPJyazVREq4ncUbHYtPWvn6YaaYRgjRt8tVzoEiAz9Kf9yPHUISM5sf6u63UJhXl1s0GiO6s9GKVMFwW1UcQKHu8=
X-Received: by 2002:aa7:978b:0:b0:44c:abf1:a8b8 with SMTP id
 o11-20020aa7978b000000b0044cabf1a8b8mr8256524pfp.35.1634848141329; Thu, 21
 Oct 2021 13:29:01 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Thu, 21 Oct 2021 13:29:01 -0700
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <11b5a271-413d-9134-116e-3370030e99e1@HIDDEN> (Phil
 Sainty's message of "Sun, 18 Apr 2021 02:01:38 +1200")
References: <1348823a-7623-8146-8cc0-8c0eff13e458@HIDDEN>
 <94d27dbb-46d3-1d6f-4849-251a0929d413@HIDDEN>
 <70000e90-328c-c084-3e3c-bbde96b16110@HIDDEN>
 <adbc18a1-20ef-5261-6d8e-149b13d61674@HIDDEN>
 <6b195c26-066c-870f-3432-0b24c6f619ec@HIDDEN>
 <d8ba5a45-ae3b-7f05-1749-ca5032d4bee9@HIDDEN> <m3sgruykj3.fsf@HIDDEN>
 <83fa3d61-9173-c3f6-32b6-87c7c09502b7@HIDDEN>
 <CADwFkmmFhDvn1XHz2HpDuiLhJqOU2Kiq3iWLaNZFoZDL-qU-CQ@HIDDEN>
 <11b5a271-413d-9134-116e-3370030e99e1@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Date: Thu, 21 Oct 2021 13:29:01 -0700
Message-ID: <CADwFkm=ZOhoQAQiE5Aj_8mRPyqXZDd-WpgL1JUuAcoSABAtaUQ@HIDDEN>
Subject: Re: bug#1343: [PATCH] trace package
To: Phil Sainty <psainty@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 1343
Cc: 1343 <at> debbugs.gnu.org, Lars Ingebrigtsen <larsi@HIDDEN>,
 27397 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Phil Sainty <psainty@HIDDEN> writes:

> Hi Stefan,
>
> On 17/04/21 5:51 pm, Stefan Kangas wrote:
>> (That was almost 2 years ago.)
>> Any updates here?
>
> Unfortunately not.  I think I briefly resumed work on that at
> the time, but it almost immediately got sidelined again.

Is there anything stopping us from adding what you have so far?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1343; Package emacs. Full text available.

Message received at 1343 <at> debbugs.gnu.org:


Received: (at 1343) by debbugs.gnu.org; 17 Apr 2021 14:01:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 17 10:01:44 2021
Received: from localhost ([127.0.0.1]:44081 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lXlW3-00011L-Gx
	for submit <at> debbugs.gnu.org; Sat, 17 Apr 2021 10:01:44 -0400
Received: from smtp-1.orcon.net.nz ([60.234.4.34]:44067)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <psainty@HIDDEN>)
 id 1lXlW1-000115-L3; Sat, 17 Apr 2021 10:01:42 -0400
Received: from [101.53.216.162] (port=13442 helo=[192.168.20.103])
 by smtp-1.orcon.net.nz with esmtpa (Exim 4.90_1)
 (envelope-from <psainty@HIDDEN>)
 id 1lXlVz-0002Hz-C8; Sun, 18 Apr 2021 02:01:39 +1200
Subject: Re: bug#1343: [PATCH] trace package
To: Stefan Kangas <stefan@HIDDEN>
References: <1348823a-7623-8146-8cc0-8c0eff13e458@HIDDEN>
 <94d27dbb-46d3-1d6f-4849-251a0929d413@HIDDEN>
 <70000e90-328c-c084-3e3c-bbde96b16110@HIDDEN>
 <adbc18a1-20ef-5261-6d8e-149b13d61674@HIDDEN>
 <6b195c26-066c-870f-3432-0b24c6f619ec@HIDDEN>
 <d8ba5a45-ae3b-7f05-1749-ca5032d4bee9@HIDDEN> <m3sgruykj3.fsf@HIDDEN>
 <83fa3d61-9173-c3f6-32b6-87c7c09502b7@HIDDEN>
 <CADwFkmmFhDvn1XHz2HpDuiLhJqOU2Kiq3iWLaNZFoZDL-qU-CQ@HIDDEN>
From: Phil Sainty <psainty@HIDDEN>
Message-ID: <11b5a271-413d-9134-116e-3370030e99e1@HIDDEN>
Date: Sun, 18 Apr 2021 02:01:38 +1200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.10.0
MIME-Version: 1.0
In-Reply-To: <CADwFkmmFhDvn1XHz2HpDuiLhJqOU2Kiq3iWLaNZFoZDL-qU-CQ@HIDDEN>
Content-Type: text/plain; charset=utf-8
Content-Language: en-GB
Content-Transfer-Encoding: 7bit
X-GeoIP: NZ
X-Spam_score: -2.9
X-Spam_score_int: -28
X-Spam_bar: --
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hi Stefan, On 17/04/21 5:51 pm, Stefan Kangas wrote: > (That
 was almost 2 years ago.) > Any updates here? Unfortunately not. I think I
 briefly resumed work on that at the time,
 but it almost immediately got sidelined again. 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [60.234.4.34 listed in list.dnswl.org]
 3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
 [101.53.216.162 listed in zen.spamhaus.org]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (psainty[at]orcon.net.nz)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 NICE_REPLY_A           Looks like a legit reply (A)
X-Debbugs-Envelope-To: 1343
Cc: 1343 <at> debbugs.gnu.org, Lars Ingebrigtsen <larsi@HIDDEN>,
 27397 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Hi Stefan, On 17/04/21 5:51 pm, Stefan Kangas wrote: > (That
    was almost 2 years ago.) > Any updates here? Unfortunately not. I think I
    briefly resumed work on that at the time, but it almost immediately got sidelined
    again. 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [101.53.216.162 listed in zen.spamhaus.org]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [60.234.4.34 listed in list.dnswl.org]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (psainty[at]orcon.net.nz)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
 -0.0 NICE_REPLY_A           Looks like a legit reply (A)

Hi Stefan,

On 17/04/21 5:51 pm, Stefan Kangas wrote:
> (That was almost 2 years ago.)
> Any updates here?

Unfortunately not.  I think I briefly resumed work on that at
the time, but it almost immediately got sidelined again.

-Phil




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1343; Package emacs. Full text available.

Message received at 1343 <at> debbugs.gnu.org:


Received: (at 1343) by debbugs.gnu.org; 17 Apr 2021 05:51:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 17 01:51:46 2021
Received: from localhost ([127.0.0.1]:42070 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lXdrq-00030R-K7
	for submit <at> debbugs.gnu.org; Sat, 17 Apr 2021 01:51:46 -0400
Received: from mail-pg1-f170.google.com ([209.85.215.170]:39865)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>)
 id 1lXdrl-000305-2Z; Sat, 17 Apr 2021 01:51:40 -0400
Received: by mail-pg1-f170.google.com with SMTP id j32so5807188pgm.6;
 Fri, 16 Apr 2021 22:51:36 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:user-agent
 :mime-version:date:message-id:subject:to:cc;
 bh=9sJ109i8Bur19lEUU2LJiUXmpiP50i7XjEPYduQPl9Y=;
 b=Wjz0KspB+iMw7O64OCNG2LV+4GFY8aSPsklIFsOJ61UgyE00yiK5rEh602zQc817mO
 0jpuTcP+gvqTQoxwYED/roHGVjjapjGGnFjMNFy9ZtQOdxB+YASkv65A0WLbsBeD9Cyh
 SmT7W9/Byb0qipA19h7RUY7QxiXhEZRpbkpYkoMkAg/CpTR2xeEYWBn2vpqI4nq1WGOj
 VO9BRei8ooReq5OslIVDgTIYuCnOsMxu34eYaWyhlUDjE4fdb5GrFl0NVvdUQpDodAH7
 kY4WkMK9fgmnLLGUaniPKIdOIKGKjafIotE+sBHyo9JR9WQu0blgoKk8NZdjgUg/to9/
 Mfog==
X-Gm-Message-State: AOAM5303aIdysxxfYvpIGcvYmCrW2suoHGEXOjWMZxIJtxG4dgfNuPh4
 j90TnncCdFDg8jr6Gt1Rbq3l3h2OzBdgYr0rdJ8=
X-Google-Smtp-Source: ABdhPJzH9pViNfw2ssz0lIVNZhVS07cPBS9yOVxM8zfuVBj3SWfb07ULfG0nF5bxdNzXqAyfkz5ETFJk8PNQIXjY7X8=
X-Received: by 2002:aa7:828f:0:b029:200:6e27:8c8f with SMTP id
 s15-20020aa7828f0000b02902006e278c8fmr10636314pfm.44.1618638691245; Fri, 16
 Apr 2021 22:51:31 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Sat, 17 Apr 2021 00:51:30 -0500
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <83fa3d61-9173-c3f6-32b6-87c7c09502b7@HIDDEN> (Phil
 Sainty's message of "Fri, 28 Jun 2019 23:25:56 +1200")
References: <1348823a-7623-8146-8cc0-8c0eff13e458@HIDDEN>
 <94d27dbb-46d3-1d6f-4849-251a0929d413@HIDDEN>
 <70000e90-328c-c084-3e3c-bbde96b16110@HIDDEN>
 <adbc18a1-20ef-5261-6d8e-149b13d61674@HIDDEN>
 <6b195c26-066c-870f-3432-0b24c6f619ec@HIDDEN>
 <d8ba5a45-ae3b-7f05-1749-ca5032d4bee9@HIDDEN> <m3sgruykj3.fsf@HIDDEN>
 <83fa3d61-9173-c3f6-32b6-87c7c09502b7@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Date: Sat, 17 Apr 2021 00:51:30 -0500
Message-ID: <CADwFkmmFhDvn1XHz2HpDuiLhJqOU2Kiq3iWLaNZFoZDL-qU-CQ@HIDDEN>
Subject: Re: bug#1343: [PATCH] trace package
To: Phil Sainty <psainty@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 1343
Cc: 1343 <at> debbugs.gnu.org, Lars Ingebrigtsen <larsi@HIDDEN>,
 27397 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Hi Phil,

Phil Sainty <psainty@HIDDEN> writes:

> On 28/06/19 6:01 AM, Lars Ingebrigtsen wrote:
>> The consensus seemed to be that adding commands for tracing a large
>> number of functions was welcome, even if Michael had some usability
>> concerns.  But it was never applied?
>
> Correct.  This has been languishing on my to-do list for a
> long time (albeit not forgotten about), as my time has been
> pretty limited, and I've been spending it on other projects.
>
> With so-long.el hopefully out of the way for now, and seeing
> as how you've raised it, I'll try to get back to this next
> (I had a bunch of work-in-progress based on the previous
> discussions at the time I stashed it).

(That was almost 2 years ago.)

Any updates here?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1343; Package emacs. Full text available.

Message received at 1343 <at> debbugs.gnu.org:


Received: (at 1343) by debbugs.gnu.org; 28 Jun 2019 11:26:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 28 07:26:05 2019
Received: from localhost ([127.0.0.1]:40443 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hgp13-0001x7-DC
	for submit <at> debbugs.gnu.org; Fri, 28 Jun 2019 07:26:05 -0400
Received: from smtp-4.orcon.net.nz ([60.234.4.59]:35151)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <psainty@HIDDEN>)
 id 1hgp0z-0001wb-SC; Fri, 28 Jun 2019 07:26:03 -0400
Received: from [116.251.203.174] (port=37728 helo=[192.168.20.103])
 by smtp-4.orcon.net.nz with esmtpa (Exim 4.86_2)
 (envelope-from <psainty@HIDDEN>)
 id 1hgp0v-00031V-Da; Fri, 28 Jun 2019 23:25:57 +1200
Subject: Re: bug#1343: bug#27397: [PATCH] New commands for bulk tracing of
 elisp functions
To: Lars Ingebrigtsen <larsi@HIDDEN>
References: <1348823a-7623-8146-8cc0-8c0eff13e458@HIDDEN>
 <94d27dbb-46d3-1d6f-4849-251a0929d413@HIDDEN>
 <70000e90-328c-c084-3e3c-bbde96b16110@HIDDEN>
 <adbc18a1-20ef-5261-6d8e-149b13d61674@HIDDEN>
 <6b195c26-066c-870f-3432-0b24c6f619ec@HIDDEN>
 <d8ba5a45-ae3b-7f05-1749-ca5032d4bee9@HIDDEN> <m3sgruykj3.fsf@HIDDEN>
From: Phil Sainty <psainty@HIDDEN>
Message-ID: <83fa3d61-9173-c3f6-32b6-87c7c09502b7@HIDDEN>
Date: Fri, 28 Jun 2019 23:25:56 +1200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.7.0
MIME-Version: 1.0
In-Reply-To: <m3sgruykj3.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-GeoIP: NZ
X-Spam_score: -2.9
X-Spam_score_int: -28
X-Spam_bar: --
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 1343
Cc: 1343 <at> debbugs.gnu.org, 27397 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi Lars,

On 28/06/19 6:01 AM, Lars Ingebrigtsen wrote:
> The consensus seemed to be that adding commands for tracing a large
> number of functions was welcome, even if Michael had some usability
> concerns.  But it was never applied?

Correct.  This has been languishing on my to-do list for a
long time (albeit not forgotten about), as my time has been
pretty limited, and I've been spending it on other projects.

With so-long.el hopefully out of the way for now, and seeing
as how you've raised it, I'll try to get back to this next
(I had a bunch of work-in-progress based on the previous
discussions at the time I stashed it).


-Phil




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1343; Package emacs. Full text available.

Message received at 1343 <at> debbugs.gnu.org:


Received: (at 1343) by debbugs.gnu.org; 27 Jun 2019 18:01:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 27 14:01:59 2019
Received: from localhost ([127.0.0.1]:39557 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hgYic-0006Jt-RT
	for submit <at> debbugs.gnu.org; Thu, 27 Jun 2019 14:01:59 -0400
Received: from quimby.gnus.org ([80.91.231.51]:46358)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>)
 id 1hgYib-0006Hp-7G; Thu, 27 Jun 2019 14:01:57 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=stories)
 by quimby.gnus.org with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.89)
 (envelope-from <larsi@HIDDEN>)
 id 1hgYiX-0008O5-3v; Thu, 27 Jun 2019 20:01:55 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Phil Sainty <psainty@HIDDEN>
Subject: Re: bug#27397: [PATCH] New commands for bulk tracing of elisp
 functions
References: <1348823a-7623-8146-8cc0-8c0eff13e458@HIDDEN>
 <94d27dbb-46d3-1d6f-4849-251a0929d413@HIDDEN>
 <70000e90-328c-c084-3e3c-bbde96b16110@HIDDEN>
 <adbc18a1-20ef-5261-6d8e-149b13d61674@HIDDEN>
 <6b195c26-066c-870f-3432-0b24c6f619ec@HIDDEN>
 <d8ba5a45-ae3b-7f05-1749-ca5032d4bee9@HIDDEN>
Date: Thu, 27 Jun 2019 20:01:52 +0200
In-Reply-To: <d8ba5a45-ae3b-7f05-1749-ca5032d4bee9@HIDDEN> (Phil
 Sainty's message of "Sun, 18 Jun 2017 23:22:31 +1200")
Message-ID: <m3sgruykj3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Phil Sainty <psainty@HIDDEN> writes: > (I guess I'll
 follow up next weekend if no one has anything to add > in the interim.) The
 consensus seemed to be that adding commands for tracing a large number of
 functions was welcome, even if Michael had some usability concerns. But it
 was never applied? 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 1343
Cc: 1343 <at> debbugs.gnu.org, 27397 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Phil Sainty <psainty@HIDDEN> writes:

> (I guess I'll follow up next weekend if no one has anything to add
> in the interim.)

The consensus seemed to be that adding commands for tracing a large
number of functions was welcome, even if Michael had some usability
concerns.  But it was never applied?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1343; Package emacs. Full text available.
Forcibly Merged 1343 6464 27397. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 1343 6464. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at (unknown):


Received: (at unknown) by unknown; unknown
X-Spam-Checker-Version: SpamAssassin 3.2.3-bugs.debian.org_2005_01_02
	(2007-08-08) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Status: No, score=-10.0 required=4.0 tests=BAYES_00,IMPRONONCABLE_2,
	MURPHY_DRUGS_REL8,RCVD_IN_DNSWL_MED,X_DEBBUGS_NO_ACK autolearn=ham
	version=3.2.3-bugs.debian.org_2005_01_02
Received: (at quiet) by emacsbugs.donarmstrong.com; 13 Nov 2008 23:58:39 +0000
Received: from fencepost.gnu.org (fencepost.gnu.org [140.186.70.10])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id mADNwaZw019886
	for <quiet@HIDDEN>; Thu, 13 Nov 2008 15:58:37 -0800
Received: from rgm by fencepost.gnu.org with local (Exim 4.67)
	(envelope-from <rgm@HIDDEN>)
	id 1L0m54-0002a8-Cd
	for quiet@HIDDEN; Thu, 13 Nov 2008 18:58:34 -0500
From: Vitaly Mayatskikh <v.mayatskih@HIDDEN>
To: quiet <at> debbugs.gnu.org
Subject: [PATCH] trace package
Date: Tue, 11 Nov 2008 21:24:02 +0100
Lines: 66
X-From-Line: emacs-devel-bounces+rgm=gnu.org@HIDDEN  Tue Nov 11 15:23:21 2008
Received: from mail.gnu.org ([199.232.76.166]:45056 helo=mx10.gnu.org)
	by fencepost.gnu.org with esmtp (Exim 4.67)
	(envelope-from <emacs-devel-bounces+rgm=gnu.org@HIDDEN>)
	id 1Kzzlh-00019z-8v
	for rgm@HIDDEN; Tue, 11 Nov 2008 15:23:21 -0500
Received: from Debian-exim by monty-python.gnu.org with spam-scanned (Exim 4.60)
	(envelope-from <emacs-devel-bounces+rgm=gnu.org@HIDDEN>)
	id 1Kzzoh-0001ZN-PL
	for rgm@HIDDEN; Tue, 11 Nov 2008 15:26:28 -0500
Received: from lists.gnu.org ([199.232.76.165]:49476)
	by monty-python.gnu.org with esmtp (Exim 4.60)
	(envelope-from <emacs-devel-bounces+rgm=gnu.org@HIDDEN>)
	id 1Kzzog-0001ZB-1e
	for rgm@HIDDEN; Tue, 11 Nov 2008 15:26:26 -0500
Received: from localhost ([127.0.0.1]:43470 helo=lists.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43)
	id 1Kzzof-0000bB-Qb
	for rgm@HIDDEN; Tue, 11 Nov 2008 15:26:25 -0500
Received: from mailman by lists.gnu.org with tmda-scanned (Exim 4.43)
	id 1Kzzma-0007rm-9P
	for emacs-devel@HIDDEN; Tue, 11 Nov 2008 15:24:16 -0500
Received: from exim by lists.gnu.org with spam-scanned (Exim 4.43)
	id 1KzzmY-0007qs-Be
	for emacs-devel@HIDDEN; Tue, 11 Nov 2008 15:24:15 -0500
Received: from [199.232.76.173] (port=42861 helo=monty-python.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43) id 1KzzmY-0007qV-2u
	for emacs-devel@HIDDEN; Tue, 11 Nov 2008 15:24:14 -0500
Received: from ug-out-1314.google.com ([66.249.92.172]:36941)
	by monty-python.gnu.org with esmtp (Exim 4.60)
	(envelope-from <v.mayatskih@HIDDEN>) id 1KzzmW-0001H9-Kq
	for emacs-devel@HIDDEN; Tue, 11 Nov 2008 15:24:13 -0500
Received: by ug-out-1314.google.com with SMTP id 36so1015749uga.17
	for <emacs-devel@HIDDEN>; Tue, 11 Nov 2008 12:24:06 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=domainkey-signature:received:received:date:message-id:from:to
	:subject:user-agent:mime-version:content-type;
	bh=DPB6Kmmvrt756roox2IBYR626R79yMPzOKeRDSKYKjI=;
	b=wDYXvMwL4/MvpTRXysxmKT+CZEidLAcTP/UxezIKbmqtse5YMrw5MxWYlvkBx0Yh95
	IXwvRQnvIq6AK7+2meDcHKUXpUz6anLG4nixeZdLzFmlRhehV5HBcQkx/gcoMyM5EJq6
	7HT1QVOVjvfRQuIqO5EWSrARAkUomvLUS1EC8=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=gmail.com; s=gamma;
	h=date:message-id:from:to:subject:user-agent:mime-version
	:content-type;
	b=C66HSUuGiLTUruozWNX6wvciT12p5DdCphiM4IGRFNhdxfJumzwgwkstVjKy3z4tMr
	KVxWiwIP2pYJi4bzxzlsP+7/xZgL7Wpjj4IWXBtdvZxfyzef9CUI9aLdLI+AqIrMyvjS
	IH8ygwiwozpC2UxlsiV0AxutTw1rbfMAI7/wQ=
Received: by 10.210.22.8 with SMTP id 8mr9594688ebv.46.1226435046701;
	Tue, 11 Nov 2008 12:24:06 -0800 (PST)
Received: from gravicappa.englab.brq.redhat.com (r10ni46.net.upc.cz
	[78.45.116.46])
	by mx.google.com with ESMTPS id 7sm2004616eyg.9.2008.11.11.12.24.04
	(version=TLSv1/SSLv3 cipher=RC4-MD5);
	Tue, 11 Nov 2008 12:24:05 -0800 (PST)
X-Debbugs-No-Ack: yes
X-detected-operating-system: by monty-python.gnu.org: GNU/Linux 2.6 (newer, 2)
X-BeenThere: emacs-devel@HIDDEN
X-Mailman-Version: 2.1.5
Precedence: list
List-Id: "Emacs development discussions." <emacs-devel.gnu.org>
List-Unsubscribe: <http://lists.gnu.org/mailman/listinfo/emacs-devel>,
	<mailto:emacs-devel-request@HIDDEN?subject=unsubscribe>
List-Archive: <http://lists.gnu.org/pipermail/emacs-devel>
List-Post: <mailto:emacs-devel@HIDDEN>
List-Help: <mailto:emacs-devel-request@HIDDEN?subject=help>
List-Subscribe: <http://lists.gnu.org/mailman/listinfo/emacs-devel>,
	<mailto:emacs-devel-request@HIDDEN?subject=subscribe>
Errors-To: emacs-devel-bounces+rgm=gnu.org@HIDDEN
X-detected-operating-system: by monty-python.gnu.org: GNU/Linux 2.6, seldom 2.4 (older, 4)
Message-ID: <7g8wrnqitx.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Sender: Glenn Morris <rgm@HIDDEN>

Severity: wishlist
Tags: patch

[ resent from
  http://lists.gnu.org/archive/html/emacs-devel/2008-11/msg00347.html ]


trace.el has functions trace-function and trace-function-background,
which allows to add function or macro for tracing. Sometimes it is
useful to trace a bunch of functions in one package, like it is done
in elp.el (Emacs Lisp Profiler), but trace.el lacks this
facility. This patch introduces 3 functions to help with package
tracing: trace-package, trace-package-background and untrace-package.

Index: lisp/emacs-lisp/trace.el
===================================================================
RCS file: /sources/emacs/emacs/lisp/emacs-lisp/trace.el,v
retrieving revision 1.22
diff -p -u -w -r1.22 trace.el
--- lisp/emacs-lisp/trace.el	10 Jun 2008 16:08:46 -0000	1.22
+++ lisp/emacs-lisp/trace.el	10 Nov 2008 19:40:37 -0000
@@ -153,6 +153,7 @@
 ;;; Code:
 
 (require 'advice)
+(require 'cl)
 
 (defgroup trace nil
   "Tracing facility for Emacs Lisp functions."
@@ -297,6 +298,37 @@ was not traced this is a noop."
   (ad-do-advised-functions (function)
     (untrace-function function)))
 
+(macrolet ((defun-trace-package (name background doc)
+	     `(defun ,name (prefix &optional buffer)
+		,doc
+		(interactive
+		 (list
+		  (completing-read "Prefix of package to trace: " obarray)
+		  (read-buffer "Output to buffer: " trace-buffer)))
+		(if (zerop (length prefix))
+		    (error "Tracing all Emacs functions would render Emacs unusable"))
+		(dolist (fun (mapcar 'intern (all-completions prefix obarray 'fboundp t)))
+		  (trace-function-internal fun buffer ,background)))))
+  (defun-trace-package trace-package nil
+    "Traces all functions which start with PREFIX. Trace output going to BUFFER.
+For example, to trace all TRACE functions, do the following:
+
+    \\[trace-package] RET trace- RET")
+  (defun-trace-package trace-package-background t
+    "Traces all functions which start with PREFIX. Trace output going quietly
+to BUFFER. For example, to trace all TRACE functions, do the following:
+
+    \\[trace-package] RET trace- RET"))
+
+(defun untrace-package (prefix)
+  "Untraces all functions which start with PREFIX, and possibly activates
+all remaining advice."
+  (interactive
+   (list
+    (completing-read "Prefix of package to untrace: " obarray)))
+  (dolist (fun (mapcar 'intern (all-completions prefix obarray 'trace-is-traced t)))
+    (untrace-function fun)))
+
 (provide 'trace)
 
 ;; arch-tag: cfd170a7-4932-4331-8c8b-b7151942e5a1

--
wbr, Vitaly




Report stored:
bug#1343; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 21 Oct 2021 20:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.